
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}



#wrapper { 

    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    grid-gap: 5px;
    grid-template-areas:
      "a";
  }



body {
    min-height: 100vh;
    font-family: "Open Sans", sans-serif;
 

  }



  header{
    grid-area: h;
    text-align: center;
    margin: auto;
  }

  section{
    background: linear-gradient(#f2e3d5, #f1c69f);
    position: relative;
    width: 100%;
    height: 100vh;
    padding: 100px;
    justify-content: center;
    align-items: center;
    display: flex;
  }



  .sec{
    background: linear-gradient(#f1c69f,#f2e3d5);
    position: relative;
    padding: 20px;
    height: 100vh;
    grid-area: a;
  }


.topnav{
  position: sticky;
  top: 0;
  z-index: 1;
}


.active {
    color: white;
    font-size: large;
    font-weight: bold;
    text-align: center;
    padding-left: 0px;
    width: 150px;
  }
  

.deltagare{
  grid-area: d;
}

.vilka{
  grid-area: v;
}

.topografin{
  grid-area: t;
}

.stadsdelen{
  grid-area: s;
}

.utvecklas{
  grid-area: u;
}

.fordelning{
  grid-area: f;
}

.transporter{
  grid-area: p;
}



.gronstruktur{
  grid-area: g;
}



  @media only screen and (min-width: 600px) {
  #wrapper {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr 1fr 1fr;
    grid-gap: 5px;
    grid-template-areas:
    
      "h h"
      "d v"
      "t s"
      "u f"
      "p g" ;
  }



  #bild1, #bild2{
    display: list-item;
    margin: auto;
    width: 300px;
    }
}

@media only screen and (max-width: 769px) {
  
    .topnav a:not(:first-child) {
      display: none;
    }
    .topnav a.icon {
      float: right;
      display: block;
    }
    
    .topnav.responsive {
      position: relative;
    }
    .topnav.responsive .icon {
      position: absolute;
      right: 0;
      top: 0;
    }
    .topnav.responsive a {
      float: none;
      display: block;
      text-align: left;
    }
    .topnav {
      overflow: hidden;
      background-color: black;
    }
    
    .topnav a {
      float: left;
      display: block;
      color: #f2f2f2;
      text-align: center;
      padding: 14px 16px;
      text-decoration: none;
      font-size: small;
    }
    
    .topnav a:hover {
      background-color: #ddd;
      color: black;
    }
    
    .topnav a.active {
      background-color: black;
      color: white;
      text-align: center;
    }
    
    .topnav .icon {
      display: none;
    }
    
  }



@media only screen and (min-width: 769px) {

    #wrapper {
        grid-template-columns: 1fr 1fr 1fr;
        grid-template-rows: 0.8fr 1fr 1fr 1fr;
        grid-gap: 5px;
    
        grid-template-areas: 
          "h h h"
          "d v t"
          "s u f"
          "p g .";
      }


.topnav {
    overflow: hidden;
    background-color: black;
  }
  
  .topnav a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: small;
  }
  
  .topnav a:hover {
    background-color: #ddd;
    color: black;
  }
  
  .topnav a.active {
    background-color: black;
    color: white;
    text-align: center;
  }
  
  .topnav .icon {
    display: none;
  }
}